Package: org.grails.buffer

## [Java] Class StreamByteBuffer.StreamByteBufferInputStream

- org.grails.buffer.StreamByteBuffer.StreamByteBufferInputStream

-     class StreamByteBuffer.StreamByteBufferInputStream
      extends java.io.InputStream

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public int` | `available()`
    `` | `public StreamByteBuffer` | `getBuffer()`
    `` | `public int` | `read()`
    `` | `public int` | `read(byte[] b, int off, int len)`
    `` | `int` | `readImpl(byte[] b, int off, int len)`
    `` | `public void` | `reset()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.io.InputStream` | `java.io.InputStream#read([B, int, int), java.io.InputStream#read([B), java.io.InputStream#read(), java.io.InputStream#close(), java.io.InputStream#mark(int), java.io.InputStream#readAllBytes(), java.io.InputStream#readNBytes([B, int, int), java.io.InputStream#readNBytes(int), java.io.InputStream#transferTo(java.io.OutputStream), java.io.InputStream#skip(long), java.io.InputStream#available(), java.io.InputStream#markSupported(), java.io.InputStream#reset(), java.io.InputStream#nullInputStream(), java.io.InputStream#wait(long), java.io.InputStream#wait(long, int), java.io.InputStream#wait(), java.io.InputStream#equals(java.lang.Object), java.io.InputStream#toString(), java.io.InputStream#hashCode(), java.io.InputStream#getClass(), java.io.InputStream#notify(), java.io.InputStream#notifyAll()`

- - ### Method Detail

    - #### @java.lang.Override public int available()

    - #### public StreamByteBuffer getBuffer()

    - #### @java.lang.Override public int read()

    - #### @java.lang.Override public int read(byte[] b, int off, int len)

    - #### int readImpl(byte[] b, int off, int len)

    - #### @java.lang.Override public void reset()